Package org.eclipse.swt.events

# Class SelectionAdapter

java.lang.Object
org.eclipse.swt.events.SelectionAdapter

All Implemented Interfaces:
  `EventListener`, `SelectionListener`, `SWTEventListener`

public abstract class SelectionAdapter extends Object implements SelectionListener
This adapter class provides default implementations for the methods described by the `SelectionListener` interface.

Classes that wish to deal with `SelectionEvent`s can extend this class and override only the methods which they are interested in.

An alternative to this class are the static helper methods `SelectionListener.widgetSelectedAdapter(java.util.function.Consumer)` and `SelectionListener.widgetDefaultSelectedAdapter(java.util.function.Consumer)`, which accept a lambda expression or a method reference that implements the event consumer.

See Also:
  - `SelectionListener`
  - `SelectionEvent`
  - Sample code and further information

## Constructor Summary

Constructors
Constructor
Description
`SelectionAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`widgetDefaultSelected(SelectionEvent e)`
Sent when default selection occurs in the control.
`void`
`widgetSelected(SelectionEvent e)`
Sent when selection occurs in the control.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SelectionAdapter

public SelectionAdapter()

## Method Details

### widgetSelected

public void widgetSelected(SelectionEvent e)
Sent when selection occurs in the control. The default behavior is to do nothing.

Specified by:
  `widgetSelected` in interface `SelectionListener`
Parameters:
  `e` - an event containing information about the selection

### widgetDefaultSelected

public void widgetDefaultSelected(SelectionEvent e)
Sent when default selection occurs in the control. The default behavior is to do nothing.

Specified by:
  `widgetDefaultSelected` in interface `SelectionListener`
Parameters:
  `e` - an event containing information about the default selection